<?php

namespace PyvioPayDemo;

// 文档地址：https://developer-doc.pyvio.com/v1/Collection/#get-collection-refund-list

// 1. 资源及配置加载
require_once dirname(__FILE__).'/../loader.php';
require_once dirname(__FILE__).'/../../PyvioPaySdk/request/collection/CollectionRefundRequest.php';

use PyvioPaySdk\lib\PyvioPayClient;
use PyvioPaySdk\request\collection\CollectionRefundRequest;

// 2.组装请求参数
$params = [
    'order_id'  => 'VC230814161689819053226740415',
    'page_no'   => 1,
    'page_size' => 20,
];
$request = new CollectionRefundRequest($params);

$token = 'Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJjbGllbnRJZCI6IkNUMjIwODAxMTU3MDAwMjEiLCJhY2Nlc3NUb2tlbkV4cGlyZWQiOjE2OTIwMTYyODkwNTcsImFwcElkIjoiMTU2OTY0MTI3MDk1MzU4OTUwNSIsInVuaXRJZCI6IlVUMjIwODAxMTUzMDAwMjEiLCJncmFudFR5cGUiOiJjbGllbnRfY3JlZGVudGlhbHMiLCJvcmdDbGllbnRJZCI6IkNUMjIwODAxMTU3MDAwMjEiLCJvcmdVbml0SWQiOiJVVDIyMDgwMTE1MzAwMDIxIn0.erCqV-FzxwFsIuQbNa6847ntfTYjxSFwabYZms8r8Fo';

$request->setHeaders([
    'Content-Type'  => 'application/json',
    'Request-Id'    => getRequestId(), // 唯一请求ID
    'Authorization' => $token,
    'X-Timestamp'   => intval(microtime(true) * 1000),
    'X-Unit-Id'     => 'UT22080115300021',
]);

// 3. 发起API调用
$client = new PyvioPayClient();
$result = $client->request($request);

if (!$result || $result->isError()) {
    //失败处理
    var_dump($result->getErrorInfo());
} else {
    //成功处理
    var_dump($result);
}
