<?php

namespace PyvioPaySdk\request\CNYRepatriation;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class RepatriationOrderUploadRequest extends BaseRequest
{
    public $method = 'POST';

    private $fileId;

    private $orderType;


    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_REPATRIATION_ORDER_UPLOAD;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->fileId = isset($params['file_id']) ? $params['file_id'] : '';
            $this->orderType = isset($params['order_type']) ? $params['order_type'] : '';
        }
    }

    public function getFileId()
    {
        return $this->fileId;
    }

    public function setFileId($fileId)
    {
        $this->fileId = $fileId;
    }

    public function getOrderType()
    {
        return $this->orderType;
    }

    public function setOrderType($orderType)
    {
        $this->orderType = $orderType;
    }


}
