<?php

namespace PyvioPaySdk\request\balance;

// 文档地址：https://developer-doc.pyvio.com/v1/Balances/#get-current-balance

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class GetCurrentBalanceRequest extends BaseRequest
{
    public $method = 'GET';

    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_GET_CURRENT_BALANCE;
    }
}
