<?php

namespace PyvioPayDemo;

# 以下配置为开发联调时覆盖SDK的配置项，需在引入SDK的init.php之前配置以覆盖SDK初始配置
# 设置是否调试模式，不配置默认关闭：false
use PyvioPaySdk\lib\PyvioPay;

define('DEBUG', true);

# 设置调试日志路径，不配置默认为SDK同级的log目录下
define('LOG', dirname(__FILE__).'/log');

# 设置生产模式，不配置默认生产模式：true 沙箱环境：false
define('PROD_MODE', false);

# SDK 初始化文件加载
require_once dirname(__FILE__).'/../PyvioPaySdk/init.php';

# init方法，从 config.json 加载系统参数
PyvioPay::init(dirname(__FILE__).'/config/config.json');

// 唯一请求ID，根据业务需求更改，这里只是个示例
function getRequestId()
{
    $chars = md5(uniqid(mt_rand(), true));
    return substr($chars, 0, 8).'-'
        .substr($chars, 8, 4).'-'
        .substr($chars, 12, 4).'-'
        .substr($chars, 16, 4).'-'
        .substr($chars, 20, 12);
}
