<?php

namespace PyvioPaySdk\request\file;

use PyvioPaySdk\enums\FunctionCodeEnum;
use PyvioPaySdk\request\BaseRequest;

class FileUploadRequest extends BaseRequest
{
    private $path;

    public function getFunctionCode()
    {
        return FunctionCodeEnum::$V1_FILE_UPLOAD;
    }

    public function __construct($params = [])
    {
        $this->setParams($params);
    }

    public function setParams($params)
    {
        if (!empty($params) && is_array($params)) {
            $this->path = isset($params['path']) ? $params['path'] : '';
        }
    }

    public function getPath()
    {
        return $this->path;
    }

    public function setPath($path)
    {
        $this->path = $path;
    }


}
